## elilo 3.2

=== Makefile ===
#
#  Copyright (C) 2001-2002 Hewlett-Packard Co.
#	Contributed by Stephane Eranian <eranian@hpl.hp.com>
#
# This file is part of ELILO, the LINUX EFI boot loader.
#
#  ELILO is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2, or (at your option)
#  any later version.
#
#  ELILO is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with ELILO; see the file COPYING.  If not, write to the Free
#  Software Foundation, 59 Temple Place - Suite 330, Boston, MA
#  02111-1307, USA.
#
# Please check out the elilo.txt for complete documentation on how
# to use this program.
#

include Make.defaults
TOPDIR=.


CRTOBJS       = $(EFICRT0)/crt0-efi-$(ARCH).o
LDSCRIPT      = $(EFICRT0)/elf_$(ARCH)_efi.lds

LDFLAGS	     += -T $(LDSCRIPT) -shared -Bsymbolic -L$(EFILIB) $(CRTOBJS)
LOADLIBES     = -lefi -lgnuefi $(shell $(CC) -print-libgcc-file-name)
FORMAT        = efi-app-$(ARCH)

FILESYSTEM    =

ifeq ($(CONFIG_localfs),y)
FILESYSTEMS += glue_localfs.o
endif

ifeq ($(CONFIG_ext2fs),y)
FILESYSTEMS += glue_ext2fs.o
endif

ifeq ($(CONFIG_netfs),y)
FILESYSTEMS += glue_netfs.o
endif

SUBDIRS = fs choosers devschemes tools

ifeq ($(ARCH),ia64)
SUBDIRS += ia64
endif

ifeq ($(ARCH),ia32)
SUBDIRS += ia32
endif

FILES = elilo.o getopt.o strops.o loader.o \
        fileops.o util.o vars.o alloc.o chooser.o  \
	config.o initrd.o alternate.o bootparams.o \
	fs/fs.o \
	choosers/choosers.o \
	devschemes/devschemes.o \
	$(ARCH)/sysdeps.o \
	$(FILESYSTEMS)

TARGETS = elilo.efi

all: $(SUBDIRS) $(TARGETS)

elilo.efi: elilo.so

elilo.so: $(FILES)

elilo.o : elilo.c

fileops.o : Make.defaults
chooser.o : Make.defaults

$(SUBDIRS): dummy
	$(MAKE) -C $@

dummy:

clean:
	@set -e ; for d in $(SUBDIRS) ; do $(MAKE) -C $$d $@ ; done
	rm -f $(TARGETS) *~ *.so $(FILES)

.PRECIOUS: elilo.so

include Make.rules

=== choosers/Makefile ===
#
#  Copyright (C) 2001-2002 Hewlett-Packard Co.
#	Contributed by Stephane Eranian <eranian@hpl.hp.com>
#
# This file is part of the ELILO, the EFI Linux boot loader.
#
#  ELILO is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2, or (at your option)
#  any later version.
#
#  ELILO is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with ELILO; see the file COPYING.  If not, write to the Free
#  Software Foundation, 59 Temple Place - Suite 330, Boston, MA
#  02111-1307, USA.
#
# Please check out the elilo.txt for complete documentation on how
# to use this program.
#

include ../Make.defaults
include ../Make.rules

TOPDIR=$(CDIR)/..

FILES=

ifeq ($(CONFIG_chooser_simple),y)
FILES +=simple.o
endif

ifeq ($(CONFIG_chooser_textmenu),y)
FILES +=textmenu.o
endif

TARGET=choosers.o

all: $(TARGET)

$(TARGET): check-choosers $(TOPDIR)/Make.defaults $(FILES)
	$(LD) -o $@ -r $(FILES)

clean:
	$(RM) -f $(TARGET) $(FILES)
	
check-choosers:
	@if [ -n "$(FILES)" ]; then \
		exit 0; \
	else \
		echo "You need to define at least one chooser in Make.defaults"; \
		exit 1; \
	fi

=== devschemes/Makefile ===
#
#  Copyright (C) 2001-2002 Hewlett-Packard Co.
#	Contributed by Stephane Eranian <eranian@hpl.hp.com>
#
# This file is part of the ELILO, the EFI Linux boot loader.
#
#  ELILO is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2, or (at your option)
#  any later version.
#
#  ELILO is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with ELILO; see the file COPYING.  If not, write to the Free
#  Software Foundation, 59 Temple Place - Suite 330, Boston, MA
#  02111-1307, USA.
#
# Please check out the elilo.txt for complete documentation on how
# to use this program.
#

include ../Make.defaults
include ../Make.rules

TOPDIR=$(CDIR)/..

FILES=simple.o


TARGET=devschemes.o

all: $(TARGET)

#
# XXX: does not trigger recompile when changing filesystem selection
#      without doing make clean.
#
$(TARGET): $(FILES)
	$(LD) -r -o $@ $(FILES)

clean:
	$(RM) -f $(TARGET) $(FILES)

=== fs/Makefile ===
#
#  Copyright (C) 2001-2002 Hewlett-Packard Co.
#	Contributed by Stephane Eranian <eranian@hpl.hp.com>
#
# This file is part of the ELILO, the EFI Linux boot loader.
#
#  ELILO is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2, or (at your option)
#  any later version.
#
#  ELILO is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with ELILO; see the file COPYING.  If not, write to the Free
#  Software Foundation, 59 Temple Place - Suite 330, Boston, MA
#  02111-1307, USA.
#
# Please check out the elilo.txt for complete documentation on how
# to use this program.
#

include ../Make.defaults
include ../Make.rules

TOPDIR=$(CDIR)/..

FILES=
ifeq ($(CONFIG_localfs),y)
FILES += localfs.o
endif

ifeq ($(CONFIG_ext2fs),y)
FILES += ext2fs.o
endif

ifeq ($(CONFIG_netfs),y)
FILES += netfs.o
endif


TARGET=fs.o

all: $(TARGET)

#
# XXX: does not trigger recompile when changing filesystem selection
#      without doing make clean.
#
$(TARGET): check-filesystems $(TOPDIR)/Make.defaults $(FILES)
	$(LD) -r -o $@ $(FILES)

clean:
	$(RM) -f $(TARGET) $(FILES)

check-filesystems:
	@if [ -n "$(FILES)" ]; then \
		exit 0; \
	else \
		echo "You need to define at least one filesystem in Make.defaults"; \
		exit 1; \
	fi

=== ia32/Makefile ===
#
#  Copyright (C) 2001-2002 Hewlett-Packard Co.
#	Contributed by Stephane Eranian <eranian@hpl.hp.com>
#
# This file is part of the ELILO, the EFI Linux boot loader.
#
#  ELILO is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2, or (at your option)
#  any later version.
#
#  ELILO is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with ELILO; see the file COPYING.  If not, write to the Free
#  Software Foundation, 59 Temple Place - Suite 330, Boston, MA
#  02111-1307, USA.
#
# Please check out the elilo.txt for complete documentation on how
# to use this program.
#

include ../Make.defaults
include ../Make.rules

TOPDIR=$(CDIR)/..

FILES=system.o config.o

TARGET=sysdeps.o

all: $(TARGET)

system.o: rmswitch.h

rmswitch.h: bin_to_h.c rmswitch.S
	$(CC) -o bin_to_h bin_to_h.c
	$(AS) -o rmswitch.o rmswitch.S
	$(LD) -Ttext 0x0 -s --oformat binary -o rmswitch rmswitch.o
	./bin_to_h <rmswitch >rmswitch.h

$(TARGET): $(FILES)
	$(LD) -r -o $@ $(FILES)

clean:
	$(RM) -f $(TARGET) $(FILES)
	$(RM) -f bin_to_h.o bin_to_h
	$(RM) -f rmswitch.h rmswitch.o rmswitch

=== ia64/Makefile ===
#
#  Copyright (C) 2001-2002 Hewlett-Packard Co.
#	Contributed by Stephane Eranian <eranian@hpl.hp.com>
#
# This file is part of the ELILO, the EFI Linux boot loader.
#
#  ELILO is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2, or (at your option)
#  any later version.
#
#  ELILO is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with ELILO; see the file COPYING.  If not, write to the Free
#  Software Foundation, 59 Temple Place - Suite 330, Boston, MA
#  02111-1307, USA.
#
# Please check out the elilo.txt for complete documentation on how
# to use this program.
#

include ../Make.defaults
include ../Make.rules

TOPDIR=$(CDIR)/..

FILES=system.o config.o fpswa.o plain_loader.o gzip_loader.o \
      gzip.o memset.o memcpy.o setjmp.o longjmp.o

TARGET=sysdeps.o

all: $(TARGET)

$(TARGET): $(FILES)
	$(LD) -o $@ -r $(FILES)

clean:
	$(RM) -f $(TARGET) $(FILES)

=== tools/Makefile ===
#
#  Copyright (C) 2001-2002 Hewlett-Packard Co.
#	Contributed by Stephane Eranian <eranian@hpl.hp.com>
#
# This file is part of the ELILO, the EFI Linux boot loader.
#
#  ELILO is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2, or (at your option)
#  any later version.
#
#  ELILO is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with ELILO; see the file COPYING.  If not, write to the Free
#  Software Foundation, 59 Temple Place - Suite 330, Boston, MA
#  02111-1307, USA.
#
# Please check out the elilo.txt for complete documentation on how
# to use this program.
#

include ../Make.defaults
include ../Make.rules

TOPDIR=$(CDIR)/..

FILES=eliloalt.o
TARGET=eliloalt

all: $(TARGET)

#
# redefine local rule (we build a Linux/ia64 binary here)
#
%.o: %.c 
	$(CC) $(OPTIMFLAGS) $(DEBUGFLAGS) -c $< -o $@

$(TARGET):  %:%.o 
	$(CC) -o $@ $(OPTIMFLAGS) $(DEBUGFLAGS) $^

clean:
	$(RM) -f $(TARGET) $(FILES)

## elilo 3.4

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#  Copyright (C) 2001-2002 Hewlett-Packard Co.
+#  Copyright (C) 2001-2003 Hewlett-Packard Co.
 #	Contributed by Stephane Eranian <eranian@hpl.hp.com>
 #
 # This file is part of ELILO, the LINUX EFI boot loader.
@@ -30,7 +30,7 @@
 CRTOBJS       = $(EFICRT0)/crt0-efi-$(ARCH).o
 LDSCRIPT      = $(EFICRT0)/elf_$(ARCH)_efi.lds
 
-LDFLAGS	     += -T $(LDSCRIPT) -shared -Bsymbolic -L$(EFILIB) $(CRTOBJS)
+LDFLAGS	     += -T $(LDSCRIPT) -shared -Bsymbolic -L$(EFILIB) -L$(GNUEFILIB) $(CRTOBJS)
 LOADLIBES     = -lefi -lgnuefi $(shell $(CC) -print-libgcc-file-name)
 FORMAT        = efi-app-$(ARCH)
 
@@ -69,7 +69,7 @@
 
 TARGETS = elilo.efi
 
-all: $(SUBDIRS) $(TARGETS)
+all: check_gcc $(SUBDIRS) $(TARGETS)
 
 elilo.efi: elilo.so
 
@@ -91,4 +91,13 @@
 
 .PRECIOUS: elilo.so
 
+#
+# on both platforms you must use gcc 3.0 or higher 
+#
+check_gcc:
+ifeq ($(GCC_VERSION),2)
+	@echo "you need to use a version of gcc >= 3.0, you are using `$(CC) --version`"
+	@exit 1
+endif
+
 include Make.rules

=== ia32/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#  Copyright (C) 2001-2002 Hewlett-Packard Co.
+#  Copyright (C) 2001-2003 Hewlett-Packard Co.
 #	Contributed by Stephane Eranian <eranian@hpl.hp.com>
 #
 # This file is part of the ELILO, the EFI Linux boot loader.

## elilo 3.6

=== Makefile ===
--- 
+++ 
@@ -61,7 +61,7 @@
 FILES = elilo.o getopt.o strops.o loader.o \
         fileops.o util.o vars.o alloc.o chooser.o  \
 	config.o initrd.o alternate.o bootparams.o \
-	fs/fs.o \
+	gunzip.o fs/fs.o \
 	choosers/choosers.o \
 	devschemes/devschemes.o \
 	$(ARCH)/sysdeps.o \

## elilo 3.8

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #
 #  Copyright (C) 2001-2003 Hewlett-Packard Co.
 #	Contributed by Stephane Eranian <eranian@hpl.hp.com>
+#	Contributed by Fenghua Yu<fenghua.yu@intel.com>
+#	Contributed by Chandramouli Narayanan<mouli@linux.intel.com>
 #
 # This file is part of ELILO, the LINUX EFI boot loader.
 #
@@ -58,6 +60,10 @@
 SUBDIRS += ia32
 endif
 
+ifeq ($(ARCH),x86_64)
+SUBDIRS += x86_64
+endif
+
 FILES = elilo.o getopt.o strops.o loader.o \
         fileops.o util.o vars.o alloc.o chooser.o  \
 	config.o initrd.o alternate.o bootparams.o \

=== choosers/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#  Copyright (C) 2001-2002 Hewlett-Packard Co.
+#  Copyright (C) 2001-2003 Hewlett-Packard Co.
 #	Contributed by Stephane Eranian <eranian@hpl.hp.com>
 #
 # This file is part of the ELILO, the EFI Linux boot loader.

## elilo 3.12

=== Makefile ===
--- 
+++ 
@@ -67,7 +67,7 @@
 FILES = elilo.o getopt.o strops.o loader.o \
         fileops.o util.o vars.o alloc.o chooser.o  \
 	config.o initrd.o alternate.o bootparams.o \
-	gunzip.o fs/fs.o \
+	gunzip.o console.o fs/fs.o \
 	choosers/choosers.o \
 	devschemes/devschemes.o \
 	$(ARCH)/sysdeps.o \

=== fs/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#  Copyright (C) 2001-2002 Hewlett-Packard Co.
+#  Copyright (C) 2001-2003 Hewlett-Packard Co.
 #	Contributed by Stephane Eranian <eranian@hpl.hp.com>
 #
 # This file is part of the ELILO, the EFI Linux boot loader.
@@ -33,6 +33,10 @@
 FILES += localfs.o
 endif
 
+#
+# Ext2 is now disabled by default. See top level Makefile
+# for details
+#
 ifeq ($(CONFIG_ext2fs),y)
 FILES += ext2fs.o
 endif

=== debian/changelog ===
elilo (3.12-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #602446
    - Polish (Michał Kułach).  Closes: #657502

 -- Christian Perrier <bubulle@debian.org>  Wed, 01 Feb 2012 20:13:32 +0100

elilo (3.12-4) unstable; urgency=low

  * don't break kernel install if not configured yet, closes: #594650

 -- Bdale Garbee <bdale@gag.com>  Wed, 08 Sep 2010 14:57:33 -0600

elilo (3.12-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add kernel and initramfs hook scripts to ensure elilo is reinstalled
    whenever the kernel or initramfs is updated. closes: #590023

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 30 Jul 2010 18:32:03 +0100

elilo (3.12-3) unstable; urgency=low

  * fix paths and options to build both 32 and 64 bit versions on either
    flavor of build host, closes: #574713
  * don't generate noise when following symlink since that's now the normal
    situation, closes: #581068

 -- Bdale Garbee <bdale@gag.com>  Tue, 08 Jun 2010 13:42:05 -0600

elilo (3.12-2) unstable; urgency=low

  * fix paths to support cross-building in ia32/Makefile, closes: #555153

 -- Bdale Garbee <bdale@gag.com>  Mon, 15 Mar 2010 16:24:32 -0600

elilo (3.12-1) unstable; urgency=low

  * new upstream version, closes: #376002
  * patch for dpkg option --print-installation-architecture going obsolete 
    from Dann Frazier, closes: #550090
  * support building 32 and 64 bit targets on each host, closes: #483045

 -- Bdale Garbee <bdale@gag.com>  Sun, 01 Nov 2009 22:37:21 -0700

elilo (3.10-1) unstable; urgency=low

  * new upstream version
  * incorporate Spanish debconf template translation, closes: #512993

 -- Bdale Garbee <bdale@gag.com>  Fri, 03 Apr 2009 17:49:01 -0600

elilo (3.8-1) unstable; urgency=low

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Tue, 08 Jan 2008 17:37:40 -0700

elilo (3.7-3) unstable; urgency=low

  * update build-dep to specify gnu-efi 3.0d or later, closes: #452010
  * updated Dutch translation, closes: #447725

 -- Bdale Garbee <bdale@gag.com>  Mon, 10 Dec 2007 15:59:57 -0700

elilo (3.7-2) unstable; urgency=low

  * fix ugly merge problem I caused while preparing 3.7-1 
  * apply patches from Aron Griffis accepted by upstream but not in a released
    tarball yet

 -- Bdale Garbee <bdale@gag.com>  Wed, 05 Sep 2007 16:38:41 +0100

elilo (3.7-1) unstable; urgency=low

  * new upstream version
  * patch from upstream CVS via Alex Williamson to clear vmm= options, 
    closes: #433498
  * patch from Eric Schwartz to fix eliloalt, closes: #427512
  * fix typo in elilo.templates, closes: #414663
  * documentation / translation fixes coalesced by Christian Perrier
    - Remove extra spaces in debconf templates. Closes: #413899
    - Galician. Closes: #414116
    - Swedish
    - Tamil
    - German. Closes: #413897
    - French
    - Czech.
    - Portuguese. Closes: #414211
    - Brazilian Portuguese.
    - Japanese. Closes: #414662
    - Italian.
    - Romanian. Closes: #414947, #415369
  * merge Dutch translation, closes: #418396

 -- Bdale Garbee <bdale@gag.com>  Wed, 05 Sep 2007 15:12:13 +0100

elilo (3.6-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * The check for new installs is broken, because apt-install elilo is
    apparently not guaranteed to complete before the fstab is configured;
    instead, check for the existence of /etc/elilo.conf to determine 
    whether to run elilo on install.  Closes: #414419.
  * Also fix a missing $ in the debconf config script that caused a syntax
    error.

 -- Steve Langasek <vorlon@debian.org>  Mon, 12 Mar 2007 03:44:09 -0700

elilo (3.6-3) unstable; urgency=high

  * patch from Dann Frazier that adds an option to run /usr/sbin/elilo in 
    the postinst using debconf, closes: #410362
  * cranking the urgency since 410362 helps with a problem upgrading to etch
    for systems that depend on elilo
  * elilo.sh uses bash syntax, so use bash explicitly, closes: #385492

 -- Bdale Garbee <bdale@gag.com>  Mon,  5 Mar 2007 16:26:32 -0700

elilo (3.6-2) unstable; urgency=low

  * freshen gnu-efi build dependency version, closes: #355252
  * patch from Alex Williamson that adds support to our elilo user space 
    script for the vmm= option needed by Xen, closes: #350185
   
 -- Bdale Garbee <bdale@gag.com>  Sat,  1 Apr 2006 22:28:59 -0800

elilo (3.6-1) unstable; urgency=low

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Mon,  9 Jan 2006 17:45:02 -0700

elilo (3.4pre5.2-2) unstable; urgency=low

  * change section from base to admin to match override
  * accept patch to fix syntax issue in elilo script, closes: #342639

 -- Bdale Garbee <bdale@gag.com>  Fri,  9 Dec 2005 10:14:30 -0800

elilo (3.4pre5.2-1) unstable; urgency=low

  * new upstream version 3.5-pre2, closes: #338185
  * implement suggestion from Thibaut Varene to have elilo.so try to modprobe 
    the efivars module before checking the environment for calling efibootmgr.
  * update elilo.sh to always use relocatable on ia64 elilo.conf generation,
    closes: #324067
  * update debian/copyright to reflect upstream source move, closes: #341136

 -- Bdale Garbee <bdale@gag.com>  Thu,  8 Dec 2005 10:13:58 -0800

elilo (3.4-9) unstable; urgency=low

  * patch from upstream to fix problems when wrong -C param is provided,
    closes: #238434
  * if the --autoconf option is used on an SGI Altix system, add 'relocatable' 
    to the resulting elilo.conf as per request from Jesse Barnes
  * make elilo.sh replace tabs with spaces when copying elilo.conf to the 
    system partition, as tabs kill old elilo.efi versions, closes: #279646
  * patch from upstream to enlarge max textmenu size, closes: #273745

 -- Bdale Garbee <bdale@gag.com>  Mon, 29 Nov 2004 02:38:12 -0700

elilo (3.4-7.sarge.1) testing; urgency=high

  * build 3.4-8 in testing chroot for sarge


=== debian/control ===
Source: elilo
Section: admin
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>> 5), binutils (>= 2.17.50.0.14), gcc-multilib [i386 amd64], gnu-efi (>=3.0d), po-debconf
Standards-Version: 3.9.1

Package: elilo
Architecture: i386 ia64 amd64
Depends: efibootmgr, dosfstools, debconf (>= 0.5), ${misc:Depends}, ${shlibs:Depends}
Description: Bootloader for systems using EFI-based firmware
 This is the Linux bootloader for systems using the Intel EFI firmware
 specification.  This includes all ia64 systems, and some ia32 systems.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

buildarch := $(shell dpkg-architecture -qDEB_BUILD_ARCH)

configure: configure-stamp
configure-stamp:
	dh_testdir

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

ifeq ($(buildarch), i386)
	mkdir debian/build64
	$(MAKE) -C debian/build64 -f ../../Makefile SRCDIR=../.. ARCH=x86_64
endif

ifeq ($(buildarch), amd64)
	mkdir debian/build32
	$(MAKE) -C debian/build32 -f ../../Makefile SRCDIR=../.. ARCH=ia32 
endif

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	[ ! -f Makefile ] || $(MAKE) clean

	rm -rf debian/build32 debian/build64

	debconf-updatepo
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

ifeq ($(buildarch), i386)
	mkdir -p debian/elilo/usr/lib64/elilo
	cp debian/build64/elilo.efi debian/elilo/usr/lib64/elilo/elilo.efi
	chmod 0644 debian/elilo/usr/lib64/elilo/elilo.efi
endif

ifeq ($(buildarch), amd64)
	mkdir -p debian/elilo/usr/lib32/elilo
	cp debian/build32/elilo.efi debian/elilo/usr/lib32/elilo/elilo.efi
	chmod 0644 debian/elilo/usr/lib32/elilo/elilo.efi
endif

	cp elilo.efi debian/elilo/usr/lib/elilo/elilo.efi
	chmod 0644 debian/elilo/usr/lib/elilo/elilo.efi

	# dynamically determine version string from changelog
	sed s/'##VERSION##'/"`IFS=\"()\" read pkg ver other < \
		debian/changelog && echo $$ver`"/ < debian/elilo.sh > \
		debian/elilo/usr/sbin/elilo

	chmod 0755 debian/elilo/usr/sbin/elilo
	cp tools/eliloalt debian/elilo/usr/sbin/eliloalt
	chmod 0755 debian/elilo/usr/sbin/eliloalt

	cp debian/elilo.initramfs-post-update \
		debian/elilo/etc/initramfs/post-update.d/elilo
	cp debian/elilo.kernel-postinst \
		debian/elilo/etc/kernel/postinst.d/zz-elilo
	cp debian/elilo.kernel-postrm \
		debian/elilo/etc/kernel/postrm.d/zz-elilo
	chmod 755 debian/elilo/etc/initramfs/*.d/* debian/elilo/etc/kernel/*.d/*

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installdebconf
	dh_installexamples examples/netboot examples/textmenu_chooser
	cp debian/sys2ansi.pl \
		debian/elilo/usr/share/doc/elilo/examples/textmenu_chooser/
	dh_installmenu
	dh_installcron
	dh_installman debian/elilo.8 debian/eliloalt.8
	dh_installinfo
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## elilo 3.14

=== choosers/Makefile ===
--- 
+++ 
@@ -42,17 +42,13 @@
 
 all: $(TARGET)
 
-$(TARGET): check-choosers $(TOPDIR)/Make.defaults $(FILES)
+$(TARGET): $(TOPDIR)/Make.defaults $(FILES)
+	@if [ -z "$(FILES)" ]; then \
+		echo "You need to define at least one chooser in Make.defaults"; \
+		exit 1; \
+	fi
 	$(LD) -o $@ -r $(FILES)
 
 clean:
 	$(RM) -f $(TARGET) $(FILES)
-	
-check-choosers:
-	@if [ -n "$(FILES)" ]; then \
-		exit 0; \
-	else \
-		echo "You need to define at least one chooser in Make.defaults"; \
-		exit 1; \
-	fi

=== devschemes/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#  Copyright (C) 2001-2002 Hewlett-Packard Co.
+#  Copyright (C) 2001-2003 Hewlett-Packard Co.
 #	Contributed by Stephane Eranian <eranian@hpl.hp.com>
 #
 # This file is part of the ELILO, the EFI Linux boot loader.

=== fs/Makefile ===
--- 
+++ 
@@ -54,17 +54,13 @@
 # XXX: does not trigger recompile when changing filesystem selection
 #      without doing make clean.
 #
-$(TARGET): check-filesystems $(TOPDIR)/Make.defaults $(FILES)
+$(TARGET): $(TOPDIR)/Make.defaults $(FILES)
+	@if [ -z "$(FILES)" ]; then \
+		echo "You need to define at least one filesystem in Make.defaults"; \
+		exit 1; \
+	fi
 	$(LD) -r -o $@ $(FILES)
 
 clean:
 	$(RM) -f $(TARGET) $(FILES)
 
-check-filesystems:
-	@if [ -n "$(FILES)" ]; then \
-		exit 0; \
-	else \
-		echo "You need to define at least one filesystem in Make.defaults"; \
-		exit 1; \
-	fi
-

=== ia32/Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 TOPDIR=$(CDIR)/..
 
-FILES=system.o config.o
+FILES=system.o config.o bzimage.o plain_loader.o gzip_loader.o gzip.o
 
 TARGET=sysdeps.o

=== ia64/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#  Copyright (C) 2001-2002 Hewlett-Packard Co.
+#  Copyright (C) 2001-2003 Hewlett-Packard Co.
 #	Contributed by Stephane Eranian <eranian@hpl.hp.com>
 #
 # This file is part of the ELILO, the EFI Linux boot loader.

=== tools/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#  Copyright (C) 2001-2002 Hewlett-Packard Co.
+#  Copyright (C) 2001-2003 Hewlett-Packard Co.
 #	Contributed by Stephane Eranian <eranian@hpl.hp.com>
 #
 # This file is part of the ELILO, the EFI Linux boot loader.

=== x86_64/Makefile ===
#
#  Copyright (C) 2001-2003 Hewlett-Packard Co.
#	Contributed by Stephane Eranian <eranian@hpl.hp.com>
#
# This file is part of the ELILO, the EFI Linux boot loader.
#
#  ELILO is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2, or (at your option)
#  any later version.
#
#  ELILO is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with ELILO; see the file COPYING.  If not, write to the Free
#  Software Foundation, 59 Temple Place - Suite 330, Boston, MA
#  02111-1307, USA.
#
# Please check out the elilo.txt for complete documentation on how
# to use this program.
#

include ../Make.defaults
include ../Make.rules

TOPDIR=$(CDIR)/..

FILES=system.o config.o bzimage.o plain_loader.o gzip_loader.o gzip.o
#FILES=system.o config.o plain_loader.o

TARGET=sysdeps.o

all: $(TARGET)

system.o: rmswitch.h

rmswitch.h: bin_to_h.c rmswitch.S
	$(CC) -o bin_to_h bin_to_h.c
	$(AS) -o rmswitch.o rmswitch.S
	$(LD) -Ttext 0x0 -s --oformat binary -o rmswitch rmswitch.o
	./bin_to_h <rmswitch >rmswitch.h

$(TARGET): $(FILES)
	$(LD) -r -o $@ $(FILES)

clean:
	$(RM) -f $(TARGET) $(FILES)
	$(RM) -f bin_to_h.o bin_to_h
	$(RM) -f rmswitch.h rmswitch.o rmswitch

=== debian/changelog ===
elilo (3.14-3ubuntu1) trusty; urgency=low

  * Merge from Debian. LP: #1175026 Remaining changes:
    - Add nasty hacks for Apple systems - switch to text mode on startup,
      pass the framebuffer size to the system on boot, and automatically set
      legacy-free option on ia32 Apple systems.
      (needs-to-go-upstream)
    - Perform some Ubuntu branding, put all files in /EFI/ubuntu.
      (ubuntu-only)
    - Add a modprobe call if efivars facility is not found. 

 -- Jackson Doak <noskcaj@ubuntu.com>  Sat, 07 Dec 2013 07:11:04 +1100

elilo (3.14-3) unstable; urgency=low

  * orphan this package as I no longer use it myself

 -- Bdale Garbee <bdale@gag.com>  Tue, 07 May 2013 09:37:59 -0600

elilo (3.14-2) unstable; urgency=low

  * remove unnecessary explicit iocharset request in elilo.sh that prevents
    ia64 installations from succeeding, closes: #685186

 -- Bdale Garbee <bdale@gag.com>  Tue, 16 Oct 2012 21:52:16 -0600

elilo (3.14-1) unstable; urgency=low

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Fri, 29 Jun 2012 11:04:12 -0600

elilo (3.12-5) unstable; urgency=low

  * merge 3.12-4.1 diff from Christian Perrier
  * add VCS entries to control file
  * update standards version

 -- Bdale Garbee <bdale@gag.com>  Fri, 29 Jun 2012 09:25:49 -0600

elilo (3.12-4ubuntu1) oneiric; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add nasty hacks for Apple systems - switch to text mode on startup,
      pass the framebuffer size to the system on boot, and automatically set
      legacy-free option on ia32 Apple systems.
      (needs-to-go-upstream)
    - Perform some Ubuntu branding, put all files in /EFI/ubuntu.
      (ubuntu-only)
    - Add a modprobe call if efivars facility is not found.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 Aug 2011 21:17:34 +0100

elilo (3.10-1ubuntu1) lucid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Automatically set legacy-free option on ia32 Apple systems.
      (needs-to-go-upstream)
    - Add nasty hacks for Apple systems - switch to text mode on startup,
      and pass the framebuffer size to the system on boot.
      (needs-to-go-upstream)
    - Perform some Ubuntu branding, put all files in /EFI/ubuntu.
      (ubuntu-only)
    - Add a modprobe call if efivars facility is not found.
  * Drop lpia support, as lpia is being decommissioned.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 08 Dec 2009 23:52:21 +0000

elilo (3.8-1ubuntu2) karmic; urgency=low

  * Pass -nostdlib to the compiler as well, so that it knows not to use
    stack protection.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 07 Oct 2009 00:22:11 +0100

elilo (3.8-1ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Build package for architecture lpia.
    - Automatically set legacy-free option on ia32 Apple systems. (needs-to-go-upstream)
    - Add nasty hacks for Apple systems - switch to text mode on startup, and
      pass the framebuffer size to the system on boot. (needs-to-go-upstream)
    - Perform some Ubuntu branding, put all files in /EFI/ubuntu. (ubuntu-only)
    - Add a modprobe call if efivars facility is not found.

 -- Bryce Harrington <bryce@ubuntu.com>  Thu, 19 Jun 2008 19:06:08 -0700

elilo (3.7-3ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - Build package for architecture lpia.
    - Automatically set legacy-free option on ia32 Apple systems.
    - Add nasty hacks for Apple systems - switch to text mode on startup, and
      pass the framebuffer size to the system on boot.
    - Perform some Ubuntu branding, put all files in /EFI/ubuntu.
    - Add a modprobe call if efivars facility is not found.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 24 Dec 2007 05:56:06 +0100

elilo (3.7-2ubuntu1) hardy; urgency=low

  * Merge with Debian, remaining changes:
    - Build package for architecture lpia.
    - elilo.sh: Set interpreter to /bin/bash, uses bashisms.
    - Automatically set legacy-free option on ia32 Apple systems.
    - Add nasty hacks for Apple systems - switch to text mode on startup, and
      pass the framebuffer size to the system on boot. 
    - Build with -march=i386 on ia32 systems - appears to be needed for Apple
      hardware.
    - Perform some Ubuntu branding, put all files in /EFI/ubuntu.
    - Add a modprobe call if efivars facility is not found.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 05 Dec 2007 13:35:51 +0100

elilo (3.6-3.1ubuntu2) gutsy; urgency=low

  * Build package for architecture lpia.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Aug 2007 08:13:59 +0000

elilo (3.6-3.1ubuntu1) gutsy; urgency=low

  * Merge with Debian; remaining changes:

 -- Matthias Klose <doko@ubuntu.com>  Wed, 23 May 2007 13:40:13 +0200

elilo (3.6-2ubuntu2) edgy; urgency=low

  * elilo.sh: Set interpreter to /bin/bash, uses bashisms.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Sep 2006 16:11:53 +0000

elilo (3.6-2ubuntu1) edgy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  3 Jul 2006 14:57:32 +0100

elilo (3.6-1ubuntu5) dapper; urgency=low

  * Automatically set legacy-free option on ia32 Apple systems.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 22 Mar 2006 15:36:23 +0000

elilo (3.6-1ubuntu4) dapper; urgency=low

  * Bump gnu-efi build-depends in order to really fix the build issues
  * Fix the length of the string used for fudging Apple framebuffers
  * First upload to be built on an Apple running Ubuntu 

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon, 20 Mar 2006 00:19:34 +0000

elilo (3.6-1ubuntu3) dapper; urgency=low

  * Add nasty hacks for Apple systems - switch to text mode on startup, and
    pass the framebuffer size to the system on boot. 

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sat, 18 Mar 2006 16:02:03 +0000

elilo (3.6-1ubuntu2) dapper; urgency=low



=== debian/control ===
--- 
+++ 
@@ -1,9 +1,12 @@
 Source: elilo
 Section: admin
 Priority: optional
-Maintainer: Bdale Garbee <bdale@gag.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>> 5), binutils (>= 2.17.50.0.14), gcc-multilib [i386 amd64], gnu-efi (>=3.0d), po-debconf
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
+Vcs-Git: git://git.gag.com/debian/elilo
+Vcs-Browser: http://git.gag.com/?p=debian/elilo
 
 Package: elilo
 Architecture: i386 ia64 amd64

=== debian/rules ===
--- 
+++ 
@@ -7,13 +7,9 @@
 
 buildarch := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
-configure: configure-stamp
-configure-stamp:
-	dh_testdir
-
-	touch configure-stamp
-
-build: configure-stamp build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
 
@@ -34,7 +30,7 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp configure-stamp
+	rm -f build-stamp
 
 	[ ! -f Makefile ] || $(MAKE) clean
 
@@ -107,4 +103,4 @@
 	dh_builddeb
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure
+.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install
